<?php echo $header; ?>
<?php 
  $this->load->model('localisation/zone');
  $judete = $this->model_localisation_zone->getZonesByCountryId(175);
?>
<div id="content">
  <div class="breadcrumb">
    <?php foreach ($breadcrumbs as $breadcrumb) { ?>
    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
    <?php } ?>
  </div>
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/shipping.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><?php echo $button_cancel; ?></a></div>
    </div>
    <div class="content">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
        <table class="form">
          <tr>
            <td colspan=2>
                <span class="help">Stimate client, puteti obtine informatii pentru configurare la adresa: <a href="http://wiki.livrarionline.ro/" target="_blank">http://wiki.livrarionline.ro/</a></span>
                <span class="help">Va multumim pentru ca folositi serviciile LivrariOnline.</span>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_status; ?></td>
            <td><select name="livrarionline_status">
                <?php if ($livrarionline_status) { ?>
                <option value="1" selected="selected"><?php echo $text_yes; ?></option>
                <option value="0"><?php echo $text_no; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_yes; ?></option>
                <option value="0" selected="selected"><?php echo $text_no; ?></option>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td colspan=2>
                <span class="help" style="text-align:center"><b><?php echo $entry_securitate;?></b></span>
            </td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_loginid; ?></td>
            <td><input type="text" name="livrarionline_loginid" value="<?php echo $livrarionline_loginid; ?>" />
              <?php if ($error_loginid) { ?>
              <span class="error"><?php echo $error_loginid; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td><span class="required">*</span> <?php echo $entry_key; ?></td>
            <td><textarea name="livrarionline_key" cols="100" rows="5"><?php echo $livrarionline_key; ?></textarea>
              <?php if ($error_key) { ?>
              <span class="error"><?php echo $error_key; ?></span>
              <?php } ?></td>
          </tr>
          <tr>
            <td><span class="required">*</span><?php echo $entry_statusawb; ?></td>
            <td>
              <?php 
                $this->load->model('localisation/order_status');
                $order_statuses = $this->model_localisation_order_status->getOrderStatuses();
              ?>
              <select name="livrarionline_statusawb">
                <option <?php echo $livrarionline_statusawb==0?'selected="selected"':''?> value="0"><?php echo $entry_statusawb_select; ?></option>
                <?php foreach ($order_statuses as $order_status) { ?>
                <?php if ($order_status['order_status_id'] == $livrarionline_statusawb) { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select>
              <?php if ($error_statusawb) { ?>
                <span class="error"><?php echo $error_statusawb; ?></span>
              <?php } ?></td>
          </td>
          </tr>
          <tr>
            <td colspan=2>
                <span class="help" style="text-align:center"><b><?php echo $entry_services?></b></span>
            </td>
          </tr>
          <tr>
            <td>
              <span class="help"><b><?php echo $entry_parametri_national?></b></span>
            </td>
            <td>
                <a id="addNationalField" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/add.png"> <?php echo $entry_add_service?></a>
            </td>
          </tr>
          <?php if (!isset($livrarionline_id_serviciu_national)||empty($livrarionline_id_serviciu_national)):?>
            <tr class="national">
              <td><span class="required">*</span> <?php echo $entry_national; ?></td>
              <td>
                <table>
                  <tr>
                    <td>Denumire serviciu</td>
                    <td><input type="text" name="livrarionline_denumire_serviciu_national[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td>ID Serviciu</td>
                    <td><input type="text" name="livrarionline_id_serviciu_national[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td>ID Shipping Company</td>
                    <td><input type="text" name="livrarionline_id_shipping_company_national[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_pretfix_national[]" value="" /> <?php echo $this->currency->getCode()?>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_denumire_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_denumire_pretfix_national[]" value="" size="50"/>
                  </td>
                </tr>
                  <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_service?></a></td></tr>
                </table>
              </td>
            </tr>
          <?php else:
            for ($i=0;$i<count($livrarionline_id_serviciu_national);$i++):
          ?>
            <tr class="national">
              <td><span class="required">*</span> <?php echo $entry_national; ?></td>
              <td>
                <table>
                  <tr>
                    <td><?php echo $entry_denumire_serviciu; ?></td>
                    <td><input type="text" name="livrarionline_denumire_serviciu_national[]" value="<?php echo $livrarionline_denumire_serviciu_national[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_id_serviciu; ?></td>
                    <td><input type="text" name="livrarionline_id_serviciu_national[]" value="<?php echo $livrarionline_id_serviciu_national[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_id_shipping_company; ?></td>
                    <td><input type="text" name="livrarionline_id_shipping_company_national[]" value="<?php echo $livrarionline_id_shipping_company_national[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_pretfix_national[]" value="<?php echo $livrarionline_pretfix_national[$i]; ?>" /> <?php echo $this->currency->getCode()?>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_denumire_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_denumire_pretfix_national[]" value="<?php echo $livrarionline_denumire_pretfix_national[$i]; ?>" size="50"/>
                  </td>
                </tr>
                  <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_service?></a></td></tr>
                </table>
              </td>
            </tr>
          <?php endfor; ?>
          <?php endif; ?>
          <tr>
            <td>
              <span class="help"><b><?php echo $entry_parametri_exceptii?></b></span>
            </td>
            <td>
                <a id="addCustomizableField" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/add.png"> <?php echo $entry_add_exceptii?></a>
            </td>
          </tr>
          <?php if (!isset($livrarionline_id_serviciu_custom)||empty($livrarionline_id_serviciu_custom)):?>
            <tr class="exceptie">
              <td><span class="required">*</span> <?php echo $entry_exceptie; ?></td>
              <td>
                <table>
                  <tr>
                    <td><?php echo $entry_denumire_serviciu; ?></td>
                    <td><input type="text" name="livrarionline_denumire_serviciu_custom[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_id_serviciu; ?></td>
                    <td><input type="text" name="livrarionline_id_serviciu_custom[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_id_shipping_company; ?></td>
                    <td><input type="text" name="livrarionline_id_shipping_company_custom[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_county; ?></td>
                    <td>
                      <select name="livrarionline_judet[]">
                        <option <?php echo $livrarionline_judet==0?'selected="selected"':''?> value="0"><?php echo $entry_county_select; ?></option>
                        <?php foreach ($judete as $judet) { ?>
                        <?php if ($judet['zone_id'] == $livrarionline_judet) { ?>
                        <option value="<?php echo $judet['zone_id']; ?>" selected="selected"><?php echo $judet['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $judet['zone_id']; ?>"><?php echo $judet['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                      </select>
                  </td>
                  </tr>
                  <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_pretfix_custom[]" value="" /> <?php echo $this->currency->getCode()?>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_denumire_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_denumire_pretfix_custom[]" value="" size="50"/>
                  </td>
                </tr>
                  <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_service?></a></td></tr>
                </table>
              </td>
            </tr>
            <?php else:
              for ($i=0;$i<count($livrarionline_id_serviciu_custom);$i++):
            ?>
              <tr class="exceptie">
                <td><span class="required">*</span> <?php echo $entry_exceptie; ?></td>
                <td>
                  <table>
                    <tr>
                      <td><?php echo $entry_denumire_serviciu; ?></td>
                      <td><input type="text" name="livrarionline_denumire_serviciu_custom[]" value="<?php echo $livrarionline_denumire_serviciu_custom[$i];?>" size="50"/></td>
                    </tr>
                    <tr>
                      <td><?php echo $entry_id_serviciu; ?></td>
                      <td><input type="text" name="livrarionline_id_serviciu_custom[]" value="<?php echo $livrarionline_id_serviciu_custom[$i];?>" size="50"/></td>
                    </tr>
                    <tr>
                      <td><?php echo $entry_id_shipping_company; ?></td>
                      <td><input type="text" name="livrarionline_id_shipping_company_custom[]" value="<?php echo $livrarionline_id_shipping_company_custom[$i];?>" size="50"/></td>
                    </tr>
                    <tr>
                      <td><?php echo $entry_county; ?></td>
                      <td>
                        <select name="livrarionline_judet[]">
                          <option <?php echo $livrarionline_judet[$i]==0?'selected="selected"':''?> value="0"><?php echo $entry_county_select; ?></option>
                          <?php foreach ($judete as $judet) { ?>
                          <?php if ($judet['zone_id'] == $livrarionline_judet[$i]) { ?>
                          <option value="<?php echo $judet['zone_id']; ?>" selected="selected"><?php echo $judet['name']; ?></option>
                          <?php } else { ?>
                          <option value="<?php echo $judet['zone_id']; ?>"><?php echo $judet['name']; ?></option>
                          <?php } ?>
                          <?php } ?>
                        </select>
                    </td>
                    </tr>
                    <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_pretfix_custom[]" value="<?php echo $livrarionline_pretfix_custom[$i];?>" /> <?php echo $this->currency->getCode()?>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span class="help"><b><?php echo $entry_denumire_pret_fix_livrare; ?></b></span>
                  </td>
                  <td>
                    <input type="text" name="livrarionline_denumire_pretfix_custom[]" value="<?php echo $livrarionline_denumire_pretfix_custom[$i];?>" size="50"/>
                  </td>
                </tr>
                    <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_service?></a></td></tr>
                  </table>
                </td>
              </tr>
            <?php endfor; ?>
          <?php endif; ?>
          <tr>
            <td colspan=2>
                <span class="help" style="text-align:center"><b><?php echo $entry_puncte_ridicare?></b></span>
            </td>
          </tr>
          <tr>
            <td colspan="2">
                <a id="addPunctRidicare" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/add.png"> <?php echo $entry_add_punct_ridicare?></a>
            </td>
          </tr>
          <?php if (!isset($livrarionline_denumire_punct_ridicare)||empty($livrarionline_denumire_punct_ridicare)):?>
            <tr class="punct-ridicare">
              <td><span class="required">*</span> <?php echo $entry_punct_ridicare?>/td>
              <td>
                <table>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_denumire_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_denumire_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_email_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_email_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_nume_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_nume_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_prenume_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_prenume_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_telefon_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_telefon_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_telefon_mobil_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_telefon_mobil_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_adresa_punct_ridicare?></td>
                    <td><textarea name="livrarionline_adresa_punct_ridicare[]" cols="52" rows="5"></textarea></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_oras_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_oras_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_county; ?></td>
                    <td>
                      <select name="livrarionline_judet_punct_ridicare[]">
                        <option <?php echo $livrarionline_judet_punct_ridicare==0?'selected="selected"':''?> value="0"><?php echo $entry_county_select; ?></option>
                        <?php foreach ($judete as $judet) { ?>
                        <?php if ($judet['zone_id'] == $livrarionline_judet_punct_ridicare) { ?>
                        <option value="<?php echo $judet['zone_id']; ?>" selected="selected"><?php echo $judet['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $judet['zone_id']; ?>"><?php echo $judet['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_zipcode_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_zipcode_punct_ridicare[]" value="" size="50"/></td>
                  </tr>
                  <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_punct_ridicare?></a></td></tr>
                </table>
              </td>
            </tr>
          <?php else:
            for ($i=0;$i<count($livrarionline_denumire_punct_ridicare);$i++):
          ?>
            <tr class="punct-ridicare">
              <td><span class="required">*</span> <?php echo $entry_punct_ridicare?></td>
              <td>
                <table>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_denumire_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_denumire_punct_ridicare[]" value="<?php echo $livrarionline_denumire_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_email_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_email_punct_ridicare[]" value="<?php echo $livrarionline_email_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_nume_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_nume_punct_ridicare[]" value="<?php echo $livrarionline_nume_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_prenume_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_prenume_punct_ridicare[]" value="<?php echo $livrarionline_prenume_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><?php echo $entry_telefon_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_telefon_punct_ridicare[]" value="<?php echo $livrarionline_telefon_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_telefon_mobil_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_telefon_mobil_punct_ridicare[]" value="<?php echo $livrarionline_telefon_mobil_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_adresa_punct_ridicare?></td>
                    <td><textarea name="livrarionline_adresa_punct_ridicare[]" cols="52" rows="5"><?php echo $livrarionline_adresa_punct_ridicare[$i];?></textarea></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_oras_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_oras_punct_ridicare[]" value="<?php echo $livrarionline_oras_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_county; ?></td>
                    <td>
                      <select name="livrarionline_judet_punct_ridicare[]">
                        <option <?php echo $livrarionline_judet_punct_ridicare==0?'selected="selected"':''?> value="0"><?php echo $entry_county_select; ?></option>
                        <?php foreach ($judete as $judet) { ?>
                        <?php if ($judet['zone_id'] == $livrarionline_judet_punct_ridicare[$i]) { ?>
                        <option value="<?php echo $judet['zone_id']; ?>" selected="selected"><?php echo $judet['name']; ?></option>
                        <?php } else { ?>
                        <option value="<?php echo $judet['zone_id']; ?>"><?php echo $judet['name']; ?></option>
                        <?php } ?>
                        <?php } ?>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><span class="required">*</span> <?php echo $entry_zipcode_punct_ridicare?></td>
                    <td><input type="text" name="livrarionline_zipcode_punct_ridicare[]" value="<?php echo $livrarionline_zipcode_punct_ridicare[$i];?>" size="50"/></td>
                  </tr>
                  <tr><td colspan="2"><a class="delete" style="cursor:pointer;font-weight:bold;text-decoration:none;"><img style="vertical-align:text-top" border="0" src="view/image/delete.png"> <?php echo $entry_delete_punct_ridicare?></a></td></tr>
                </table>
            </td>
          </tr>
        <?php endfor; ?>
        <?php endif; ?>
      </form>
    </div>
  </div>
</div>
<script type="text/javascript">
  $('#addNationalField').on('click', function(){
    var clone = $("tr.national:last").clone().find('input').val('').end().find('textarea').text('').end().find('select').val('0').end();
    $("tr.national:last").after(clone);
  });
  $('#addCustomizableField').on('click', function(){
    var clone = $("tr.exceptie:last").clone().find('input').val('').end().find('textarea').text('').end().find('select').val('0').end();
    $("tr.exceptie:last").after(clone);
  });
  $('#addPunctRidicare').on('click', function(){
    var clone = $("tr.punct-ridicare:last").clone().find('input').val('').end().find('textarea').text('').end().find('select').val('0').end();
    $("tr.punct-ridicare:last").after(clone);
  });
  $('table.form').on('click', '.delete', function(){
    $(this).closest('tr.national').remove();
    $(this).closest('tr.exceptie').remove();
    $(this).closest('tr.punct-ridicare').remove();
  });
</script> 
<?php echo $footer; ?>