<?php
class ModelShippingLivrariOnline extends Model {

	function getQuote($address) {
        $error = '';
        $quote_data = array();
        
        $currency = $this->currency->getCode();
        $loginid = $this->config->get('livrarionline_loginid');
        $key = $this->config->get('livrarionline_key');

        $total = $this->cart->getTotal();

        $colete = array();

        foreach ($this->cart->getProducts() as $product) {
            $qty=$product['quantity'];
            for ($i=0;$i<$qty;$i++) {
                $colete[] = array(
                            'greutate'=>    $product['weight']?(float)$product['weight']:1,
                            'lungime'=>     $product['length']?(float)$product['length']:1,
                            'latime'=>      $product['width']?(float)$product['width']:1,
                            'inaltime'=>    $product['height']?(float)$product['height']:1,
                            'continut'=>    1,
                            'tipcolet'=>    1
                        );
            }
        }

        $f_request_awb = array();
        $f_request_awb['request_data_ridicare']                     = date('Y-m-d');
        $f_request_awb['request_ora_ridicare']                      = date('H:i:s');
        $f_request_awb['request_ora_ridicare_end']                  = date('H:i:s');
        $f_request_awb['request_ora_livrare_sambata']               = date('H:i:s');
        $f_request_awb['request_ora_livrare_end_sambata']           = date('H:i:s');
        $f_request_awb['request_ora_livrare']                       = date('H:i:s');
        $f_request_awb['request_ora_livrare_end']                   = date('H:i:s');
        $f_request_awb['descriere_livrare']                         = 'estimare pret '.$this->config->get('config_name');
        $f_request_awb['referinta_expeditor']                       = '';
        $f_request_awb['valoare_declarata']                         = (float)$total;
        $f_request_awb['ramburs']                                   = (float)$total;
        $f_request_awb['asigurare_la_valoarea_declarata']           = false;
        $f_request_awb['retur_documente']                           = false;
        $f_request_awb['retur_documente_bancare']                   = false;
        $f_request_awb['confirmare_livrare']                        = false;
        $f_request_awb['livrare_sambata']                           = false;
        $f_request_awb['currency']                                  = $this->currency->getCode();
        $f_request_awb['currency_ramburs']                          = $this->currency->getCode();
        $f_request_awb['notificare_email']                          = false;
        $f_request_awb['notificare_sms']                            = false;
        $f_request_awb['cine_plateste']                             = 0;
        $f_request_awb['request_mpod']                              = false;
        $f_request_awb['colete'] = $colete;

        $f_request_awb['destinatar'] = array(                                                                               
                                        'first_name'            => $address['firstname'],                                         //Obligatoriu
                                        'last_name'             => $address['lastname'],                                              //Obligatoriu
                                        'email'                 => $this->customer->getEmail(),                                //Obligatoriu
                                        'phone'                 => $this->customer->getTelephone(),                                                 //phone sau mobile Obligatoriu
                                        'mobile'                => $this->customer->getTelephone(),
                                        'lang'                  => 'ro',                                                //Obligatoriu ro/en
                                        'company_name'          => $address['company'],                                   //optional
                                        'j'                     => '',                                      //optional
                                        'bank_account'          => '',                              //optional
                                        'bank_name'             => '',                                              //optional
                                        'cui'                   => ''                                           //optional
                                        );

        $f_request_awb['shipTOaddress'] = array(                                                                            //Obligatoriu
                                        'address1'              => $address['address_1'],
                                        'address2'              => $address['address_2'],
                                        'city'                  => $address['city'],
                                        'state'                 => $address['zone'],
                                        'zip'                   => $address['postcode'],
                                        'country'               => $address['country'],
                                        'phone'                 => $this->customer->getTelephone(),
                                        'observatii'            => ''
                                        );

        $this->load->model('localisation/country');
        $country = $this->model_localisation_country->getCountry($this->config->get('config_country_id'));
        $country = $country['name'];
        $this->load->model('localisation/zone');

        $pr_email = $this->config->get('livrarionline_email_punct_ridicare');
        $pr_first_name = $this->config->get('livrarionline_prenume_punct_ridicare');
        $pr_last_name = $this->config->get('livrarionline_nume_punct_ridicare');
        $pr_mobile = $this->config->get('livrarionline_telefon_mobil_punct_ridicare');
        $pr_main_address = $this->config->get('livrarionline_adresa_punct_ridicare');
        $pr_city = $this->config->get('livrarionline_oras_punct_ridicare');
        $pr_state = $this->config->get('livrarionline_judet_punct_ridicare');
        $pr_zip = $this->config->get('livrarionline_zipcode_punct_ridicare');
        $pr_phone = $this->config->get('livrarionline_telefon_punct_ridicare');


        $county = $this->model_localisation_zone->getZone($pr_state[0]);
        $county = $county['name'];

        $f_request_awb['shipFROMaddress'] = array(
                                                    'email'                 => $pr_email[0],
                                                    'first_name'            => $pr_first_name[0],
                                                    'last_name'             => $pr_last_name[0],              
                                                    'mobile'                => $pr_mobile[0],
                                                    'main_address'          => $pr_main_address[0],
                                                    'city'                  => $pr_city[0],
                                                    'state'                 => $county,
                                                    'zip'                   => $pr_zip[0],
                                                    'country'               => 'Romania',
                                                    'phone'                 => $pr_phone[0],
                                                    'instructiuni'          => ''
                                                );

        $denumiri_servicii_custom = $this->config->get('livrarionline_denumire_serviciu_custom');
        $id_servicii_custom = $this->config->get('livrarionline_id_serviciu_custom');
        $id_shipping_company_custom = $this->config->get('livrarionline_id_shipping_company_custom');
        $livrarionline_pretfix_custom = $this->config->get('livrarionline_pretfix_custom');
        $livrarionline_denumire_pretfix_custom = $this->config->get('livrarionline_denumire_pretfix_custom');

        $denumiri_servicii_national = $this->config->get('livrarionline_denumire_serviciu_national');
        $id_servicii_national = $this->config->get('livrarionline_id_serviciu_national');
        $id_shipping_company_national = $this->config->get('livrarionline_id_shipping_company_national');
        $livrarionline_pretfix_national = $this->config->get('livrarionline_pretfix_national');
        $livrarionline_denumire_pretfix_national = $this->config->get('livrarionline_denumire_pretfix_national');

        $judete_custom = $this->config->get('livrarionline_judet');

        $judet_selectat = $address['zone_id'];

        $this->load->language('shipping/livrarionline');

        require_once('lo/lib/lo.php');
        $lo = new LO();
        $lo->f_login = $loginid;
        $lo->setRSAKey($key);

        for ($i=0;$i<count($id_servicii_custom);$i++) {
            if ($judete_custom[$i] == $judet_selectat) {
                $f_request_awb['f_shipping_company_id'] = (int)$id_shipping_company_custom[$i];
                $f_request_awb['serviciuid'] = (int)$id_servicii_custom[$i];
      
                $price_standard = (float)$livrarionline_pretfix_custom[$i];

                if ($price_standard && isset($livrarionline_denumire_pretfix_custom[$i]) && $livrarionline_denumire_pretfix_custom[$i]) { //daca avem pret fix de livrare
                    $quote_data[str_replace(" ","_",$livrarionline_denumire_pretfix_custom[$i])] = array(
                                    'code'         => 'livrarionline.'.str_replace(" ","_",$livrarionline_denumire_pretfix_custom[$i]),
                                    'title'        => $livrarionline_denumire_pretfix_custom[$i],
                                    'cost'         => $this->currency->convert($price_standard, $currency, $this->config->get('config_currency')),
                                    'tax_class_id' => 'livrarionline.tax.'.str_replace(" ","_",$livrarionline_denumire_pretfix_custom[$i]),
                                    'text'         => $this->currency->format($this->tax->calculate($this->currency->convert($price_standard, $currency, $this->currency->getCode()), 1, $this->config->get('config_tax')), $this->currency->getCode(), 1.0000000)
                                    );
                } else {
                    $raspuns = $lo->EstimeazaPret($f_request_awb);
                    if (!isset($raspuns->f_pret))
                        $error = 'Nu am putut calcula pretul';
                    else
                        $price_standard = (float)$raspuns->f_pret;

                    if (!$error)
                        $quote_data[str_replace(" ","_",$denumiri_servicii_custom[$i])] = array(
                                        'code'         => 'livrarionline.'.str_replace(" ","_",$denumiri_servicii_custom[$i]),
                                        'title'        => $denumiri_servicii_custom[$i],
                                        'cost'         => $this->currency->convert($price_standard, $currency, $this->config->get('config_currency')),
                                        'tax_class_id' => 'livrarionline.tax.'.str_replace(" ","_",$denumiri_servicii_custom[$i]),
                                        'text'         => $this->currency->format($this->tax->calculate($this->currency->convert($price_standard, $currency, $this->currency->getCode()), 1, $this->config->get('config_tax')), $this->currency->getCode(), 1.0000000)
                                        );
                }
            }
        }

        for ($i=0;$i<count($id_servicii_national);$i++) {
            if (!in_array($judet_selectat, $judete_custom)) {
                $f_request_awb['f_shipping_company_id'] = (int)$id_shipping_company_national[$i];
                $f_request_awb['serviciuid'] = (int)$id_servicii_national[$i];
      
                $price_standard = (float)$livrarionline_pretfix_national[$i];

                if ($price_standard && isset($livrarionline_denumire_pretfix_national[$i]) && $livrarionline_denumire_pretfix_national[$i]) { //daca avem pret fix de livrare
                    $quote_data[str_replace(" ","_",$livrarionline_denumire_pretfix_national[$i])] = array(
                                    'code'         => 'livrarionline.'.str_replace(" ","_",$livrarionline_denumire_pretfix_national[$i]),
                                    'title'        => $livrarionline_denumire_pretfix_national[$i],
                                    'cost'         => $this->currency->convert($price_standard, $currency, $this->config->get('config_currency')),
                                    'tax_class_id' => 'livrarionline.tax.'.str_replace(" ","_",$livrarionline_denumire_pretfix_national[$i]),
                                    'text'         => $this->currency->format($this->tax->calculate($this->currency->convert($price_standard, $currency, $this->currency->getCode()), 1, $this->config->get('config_tax')), $this->currency->getCode(), 1.0000000)
                                    );
                } else {
                    $raspuns = $lo->EstimeazaPret($f_request_awb);
                    if (!isset($raspuns->f_pret))
                        $error = 'Nu am putut calcula pretul';
                    else
                        $price_standard = (float)$raspuns->f_pret;

                    if (!$error)
                        $quote_data[str_replace(" ","_",$denumiri_servicii_national[$i])] = array(
                                        'code'         => 'livrarionline.'.str_replace(" ","_",$denumiri_servicii_national[$i]),
                                        'title'        => $denumiri_servicii_national[$i],
                                        'cost'         => $this->currency->convert($price_standard, $currency, $this->config->get('config_currency')),
                                        'tax_class_id' => 'livrarionline.tax.'.str_replace(" ","_",$denumiri_servicii_national[$i]),
                                        'text'         => $this->currency->format($this->tax->calculate($this->currency->convert($price_standard, $currency, $this->currency->getCode()), 1, $this->config->get('config_tax')), $this->currency->getCode(), 1.0000000)
                                        );
                }
            }
        }

        if (isset($quote_data) && !empty($quote_data)) {
            $method_data = array(
                    'code'       => 'livrarionline',
                    'title'      => 'LivrariOnline',
                    'quote'      => $quote_data,
                    'sort_order' => '1',
                    'error'      => $error
            );

            return $method_data;
        }
                      
	}
}
?>